Add app-backup/bareos-14.2.2

This commit is contained in:
Sergey Morozov
2015-04-18 22:47:10 +03:00
parent a5a642fed6
commit 06f65a5d33
10 changed files with 560 additions and 0 deletions

View File

@@ -0,0 +1,27 @@
# stop build if there are errors in subdirs
--- Makefile.in.orig 2010-07-20 16:53:44.000000000 +0000
+++ Makefile.in 2010-07-20 16:55:50.000000000 +0000
@@ -44,9 +44,8 @@
all: Makefile
@for I in ${all_subdirs}; \
- do (cd $$I; echo "==>Entering directory `pwd`"; \
- $(MAKE) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo " ====== Error in `pwd` ======"; \
- echo ""; echo ""; exit 1;)); \
+ do \
+ $(MAKE) DESTDIR=$(DESTDIR) -C $$I $@ || exit 1; \
done
depend:
@@ -55,9 +54,8 @@
bacula-fd: Makefile
@for I in ${fd_subdirs}; \
- do (cd $$I; echo "==>Entering directory `pwd`"; \
- $(MAKE) DESTDIR=$(DESTDIR) all || (echo ""; echo ""; echo " ====== Error in `pwd` ======"; \
- echo ""; echo ""; exit 1;)); \
+ do \
+ $(MAKE) DESTDIR=$(DESTDIR) -C $$I all || exit 1; \
done
#-------------------------------------------------------------------------

View File

@@ -0,0 +1,11 @@
# bat needs to respect LDFLAGS
--- src/qt-console/bat.pro.in.orig 2010-07-20 18:28:50.000000000 +0000
+++ src/qt-console/bat.pro.in 2010-07-20 18:29:25.000000000 +0000
@@ -26,6 +26,7 @@
QMAKE_LINK = $${LIBTOOL_LINK} $(CXX)
QMAKE_INSTALL_PROGRAM = $${LIBTOOL_INSTALL} install -m @SBINPERM@ -p
QMAKE_CLEAN += .libs/* bat
+QMAKE_LFLAGS += @LDFLAGS@
qwt {
INCLUDEPATH += @QWT_INC@

View File

@@ -0,0 +1,18 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/bareos/files/bareos-dir.confd,v 1.1 2013/10/21 21:52:50 mschiff Exp $
# Config file for /etc/init.d/bareos-dir
# Bareos can use more than one catalog database and each one can
# be of any supported type.
# If a database server where you store a bareos catalog
# is on a different machine, you might want to remove the corresponding
# type from the rc_need variable.
rc_need="%databasetypes%"
# Options for the director daemon.
# The director can be run as a non-root user, however
# please ensure that this user has proper permissions to
# access your backup devices.
DIR_OPTIONS="-u root -g bareos -c /etc/bareos/bareos-dir.conf"

View File

@@ -0,0 +1,22 @@
#!/sbin/runscript
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/bareos/files/bareos-dir.initd,v 1.4 2014/05/04 17:03:59 mschiff Exp $
depend() {
use dns bareos-fd bareos-sd
}
start() {
ebegin "Starting bareos director"
checkpath -d -m 0750 -o bareos:bareos /run/bareos
start-stop-daemon --start --quiet --exec /usr/sbin/bareos-dir \
-- ${DIR_OPTIONS}
eend $?
}
stop() {
ebegin "Stopping bareos director"
start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-dir.*.pid
eend $?
}

View File

@@ -0,0 +1,8 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/bareos/files/bareos-fd.confd,v 1.1 2013/10/21 21:52:50 mschiff Exp $
# Config file for /etc/init.d/bareos-fd
# Options for the file daemon.
FD_OPTIONS="-u root -g bareos -c /etc/bareos/bareos-fd.conf"

View File

@@ -0,0 +1,22 @@
#!/sbin/runscript
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/bareos/files/bareos-fd.initd,v 1.5 2014/05/20 23:18:41 mschiff Exp $
depend() {
use dns
}
start() {
ebegin "Starting bareos file daemon"
checkpath -d -m 0750 /run/bareos
start-stop-daemon --start --quiet --exec /usr/sbin/bareos-fd \
-- ${FD_OPTIONS}
eend $?
}
stop() {
ebegin "Stopping bareos file daemon"
start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-fd.*.pid
eend $?
}

View File

@@ -0,0 +1,11 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/bareos/files/bareos-sd.confd,v 1.1 2013/10/21 21:52:50 mschiff Exp $
# Config file for /etc/init.d/bareos-sd
# Options for the storage daemon.
# The storage daemon can be run as a non-root user, however
# please ensure that this user has proper permissions to
# access your backup devices.
SD_OPTIONS="-u root -g bareos -c /etc/bareos/bareos-sd.conf"

View File

@@ -0,0 +1,22 @@
#!/sbin/runscript
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/bareos/files/bareos-sd.initd,v 1.4 2014/05/04 17:03:59 mschiff Exp $
depend() {
use dns
}
start() {
ebegin "Starting bareos storage daemon"
checkpath -d -m 0750 -o bareos:bareos /run/bareos
start-stop-daemon --start --quiet --exec /usr/sbin/bareos-sd \
-- ${SD_OPTIONS}
eend $?
}
stop() {
ebegin "Stopping bareos storage daemon"
start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-sd.*.pid
eend $?
}